/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   add.cpp                                            :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: adjoly <adjoly@student.42angouleme.fr>     +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2024/10/31 13:51:00 by adjoly            #+#    #+#             */
/*   Updated: 2024/11/04 10:43:18 by adjoly           ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "PhoneBook.hpp"
#include <string>
#include <iostream>

std::string	getInput(std::string info) {
	std::string	input;

	std::cout << "Enter the " << info << " of the new contact : ";
	std::getline(std::cin, input);
	return (input);
}

void	PhoneBook::_add(void) {

	std::string	input;

	input = getInput("name");
	if (input.empty())
		return ;
	this->_contact[this->_index].setName(input);
	input = getInput("last name");
	if (input.empty())
		return ;
	this->_contact[this->_index].setLastName(input);
	input = getInput("nickname");
	if (input.empty())
		return ;
	this->_contact[this->_index].setNickname(input);
	input = getInput("phone number");
	if (input.empty())
		return ;
	this->_contact[this->_index].setPhoneNbr(input);
	input = getInput("darkest secret");
	if (input.empty())
		return ;
	this->_contact[this->_index].setSecret(input);
	this->_index++;
	if (this->_index > 7)
		this->_index = 0;
}
